Loading...
Searching...
No Matches
EST_TrackFile Class Reference
Collaboration diagram for EST_TrackFile:
[legend]

## Public Types

typedef EST_read_status | Load_File(LoadTrackFileArgs)
typedef EST_write_status | Save_File(SaveTrackFileArgs)
typedef EST_read_status | Load_TokenStream(LoadTrack_TokenStreamArgs)
typedef EST_write_status | Save_TokenStream(SaveTrac_TokenStreamArgs)

## Static Public Member Functions

static EST_write_status | save_ascii (SaveTrackFileArgs)
static EST_read_status | load_ascii (LoadTrackFileArgs)
static EST_write_status | save_esps (SaveTrackFileArgs)
static EST_read_status | load_esps (LoadTrackFileArgs)
static EST_write_status | save_est_ts (SaveTrac_TokenStreamArgs)
static EST_read_status | load_est_ts (LoadTrack_TokenStreamArgs)
static EST_write_status | save_est (SaveTrackFileArgs)
static EST_read_status | load_est (LoadTrackFileArgs)
static EST_write_status | save_est_binary (SaveTrackFileArgs)
static EST_write_status | save_est_binary_ts (SaveTrac_TokenStreamArgs)
static EST_write_status | save_est_ascii (SaveTrackFileArgs)
static EST_read_status | load_est_ascii (LoadTrackFileArgs)
static EST_write_status | save_htk (SaveTrackFileArgs)
static EST_read_status | load_htk (LoadTrackFileArgs)
static EST_write_status | save_htk_fbank (SaveTrackFileArgs)
static EST_read_status | load_htk_fbank (LoadTrackFileArgs)
static EST_write_status | save_htk_mfcc_e (SaveTrackFileArgs)
static EST_write_status | save_htk_mfcc (SaveTrackFileArgs)
static EST_read_status | load_htk_mfcc (LoadTrackFileArgs)
static EST_write_status | save_htk_user (SaveTrackFileArgs)
static EST_read_status | load_htk_user (LoadTrackFileArgs)
static EST_write_status | save_htk_discrete (SaveTrackFileArgs)
static EST_read_status | load_htk_discrete (LoadTrackFileArgs)
static EST_write_status | save_xmg (SaveTrackFileArgs)
static EST_read_status | load_xmg (LoadTrackFileArgs)
static EST_write_status | save_xgraph (SaveTrackFileArgs)
static EST_read_status | load_xgraph (LoadTrackFileArgs)
static EST_write_status | save_ema (SaveTrackFileArgs)
static EST_read_status | load_ema (LoadTrackFileArgs)
static EST_write_status | save_ema_swapped (SaveTrackFileArgs)
static EST_read_status | load_ema_swapped (LoadTrackFileArgs)
static EST_write_status | save_NIST (SaveTrackFileArgs)
static EST_read_status | load_NIST (LoadTrackFileArgs)
static EST_write_status | save_ssff_ts (SaveTrac_TokenStreamArgs)
static EST_read_status | load_ssff_ts (LoadTrack_TokenStreamArgs)
static EST_write_status | save_ssff (SaveTrackFileArgs)
static EST_read_status | load_ssff (LoadTrackFileArgs)
static EST_String | options_supported (void)
static EST_String | options_short (void)

## Static Public Attributes

static EST_TNamedEnumI< EST_TrackFileType, Info > | map
static EST_TNamedEnumI< EST_TrackFileType, TS_Info > | ts_map

## Detailed Description

Definition at line 51 of file EST_TrackFile.h.

## Member Typedef Documentation

## Load_File

typedef EST_read_status EST_TrackFile::Load_File(LoadTrackFileArgs)

Definition at line 69 of file EST_TrackFile.h.

## Save_File

typedef EST_write_status EST_TrackFile::Save_File(SaveTrackFileArgs)

Definition at line 70 of file EST_TrackFile.h.

## Load_TokenStream

typedef EST_read_status EST_TrackFile::Load_TokenStream(LoadTrack_TokenStreamArgs)

Definition at line 72 of file EST_TrackFile.h.

## Save_TokenStream

typedef EST_write_status EST_TrackFile::Save_TokenStream(SaveTrac_TokenStreamArgs)

Definition at line 74 of file EST_TrackFile.h.

## Member Function Documentation

## save_ascii()

EST_write_status EST_TrackFile::save_ascii | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 851 of file EST_TrackFile.cc.

## load_ascii()

EST_read_status EST_TrackFile::load_ascii | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 154 of file EST_TrackFile.cc.

## save_esps()

EST_write_status EST_TrackFile::save_esps | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 667 of file EST_TrackFile.cc.

## load_esps()

EST_read_status EST_TrackFile::load_esps | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 86 of file EST_TrackFile.cc.

## save_est_ts()

EST_write_status EST_TrackFile::save_est_ts | ( | SaveTrac_TokenStreamArgs |  | ) |

static

Definition at line 733 of file EST_TrackFile.cc.

## load_est_ts()

EST_read_status EST_TrackFile::load_est_ts | ( | LoadTrack_TokenStreamArgs |  | ) |

static

Definition at line 386 of file EST_TrackFile.cc.

## load_est()

EST_read_status EST_TrackFile::load_est | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 353 of file EST_TrackFile.cc.

## save_est_binary()

EST_write_status EST_TrackFile::save_est_binary | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 791 of file EST_TrackFile.cc.

## save_est_binary_ts()

EST_write_status EST_TrackFile::save_est_binary_ts | ( | SaveTrac_TokenStreamArgs |  | ) |

static

Definition at line 809 of file EST_TrackFile.cc.

## save_est_ascii()

EST_write_status EST_TrackFile::save_est_ascii | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 773 of file EST_TrackFile.cc.

## save_htk()

EST_write_status EST_TrackFile::save_htk | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1244 of file EST_TrackFile.cc.

## load_htk()

EST_read_status EST_TrackFile::load_htk | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 1515 of file EST_TrackFile.cc.

## save_htk_fbank()

EST_write_status EST_TrackFile::save_htk_fbank | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1249 of file EST_TrackFile.cc.

## save_htk_mfcc_e()

EST_write_status EST_TrackFile::save_htk_mfcc_e | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1259 of file EST_TrackFile.cc.

## save_htk_mfcc()

EST_write_status EST_TrackFile::save_htk_mfcc | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1254 of file EST_TrackFile.cc.

## save_htk_user()

EST_write_status EST_TrackFile::save_htk_user | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1264 of file EST_TrackFile.cc.

## save_htk_discrete()

EST_write_status EST_TrackFile::save_htk_discrete | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1269 of file EST_TrackFile.cc.

## save_xmg()

EST_write_status EST_TrackFile::save_xmg | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 1034 of file EST_TrackFile.cc.

## load_xmg()

EST_read_status EST_TrackFile::load_xmg | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 275 of file EST_TrackFile.cc.

## save_xgraph()

EST_write_status EST_TrackFile::save_xgraph | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 889 of file EST_TrackFile.cc.

## load_xgraph()

EST_read_status EST_TrackFile::load_xgraph | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 218 of file EST_TrackFile.cc.

## load_ema()

EST_read_status EST_TrackFile::load_ema | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 1343 of file EST_TrackFile.cc.

## load_ema_swapped()

EST_read_status EST_TrackFile::load_ema_swapped | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 1349 of file EST_TrackFile.cc.

## save_ssff_ts()

EST_write_status EST_TrackFile::save_ssff_ts | ( | SaveTrac_TokenStreamArgs |  | ) |

static

Definition at line 232 of file ssff.cc.

## load_ssff_ts()

EST_read_status EST_TrackFile::load_ssff_ts | ( | LoadTrack_TokenStreamArgs |  | ) |

static

Definition at line 72 of file ssff.cc.

## save_ssff()

EST_write_status EST_TrackFile::save_ssff | ( | SaveTrackFileArgs |  | ) |

static

Definition at line 214 of file ssff.cc.

## load_ssff()

EST_read_status EST_TrackFile::load_ssff | ( | LoadTrackFileArgs |  | ) |

static

Definition at line 58 of file ssff.cc.

## options_supported()

EST_String EST_TrackFile::options_supported | ( | void |  | ) |

static

Definition at line 2105 of file EST_TrackFile.cc.

## options_short()

EST_String EST_TrackFile::options_short | ( | void |  | ) |

static

Definition at line 2088 of file EST_TrackFile.cc.

## Member Data Documentation

## map

EST_TNamedEnumI< EST_TrackFileType, EST_TrackFile::Info > EST_TrackFile::map

static

Definition at line 146 of file EST_TrackFile.h.

## ts_map

EST_TNamedEnumI< EST_TrackFileType, EST_TrackFile::TS_Info > EST_TrackFile::ts_map

static

Definition at line 147 of file EST_TrackFile.h.

The documentation for this class was generated from the following files:

- speech_class/EST_TrackFile.h
- speech_class/EST_TrackFile.cc
- speech_class/ssff.cc